﻿/*COLOURS*/
:root {
    --dark-green: #0a6b58;
    --light-green: #a3e953;
    --medium-green: #2AA108;
    --red: #FF0000;
    --white: #ffffff;
    --black: #000000;
    --grey: #EFEAE4;
}

/*GLOBAL*/
.btn__small {
    min-width: unset;
    display: inline-flex;
    padding: 20px;
}

.text--green {
    color: var(--dark-green);
    font-size: 28px;
    font-weight: 600;
}

.text--red {
    color: var(--red);
}

.text--light-green {
    color: var(--medium-green);
}

.text--bold {
    font-weight: 600;
}

.subheading {
    font-size: 24px;
}

.align--right {
    margin-left: auto;
}

.container-xl {
    max-width: 1400px;
    margin: 0 auto;
    display: block;
}

a,
a:hover,
a:visited,
a:focus {
    text-decoration: none;
}

.text--bold {
    font-weight: 600;
}

.text--small {
    font-size: 16px;
}

input[type=checkbox] {
    position: relative;
    cursor: pointer;
}

    input[type=checkbox]:before {
        content: "";
        display: block;
        position: absolute;
        width: 20px;
        height: 20px;
        top: 0;
        left: 0;
        border: 1px solid #cccccc;
        border-radius: 0;
        background-color: white;
    }

    input[type=checkbox]:checked:after {
        content: "";
        display: block;
        width: 7px;
        height: 14px;
        border: solid var(--dark-green);
        border-width: 0 2px 2px 0;
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
        position: absolute;
        top: 2px;
        left: 6px;
    }

/*LOGIN STYLING*/
.content {
    text-align: center;
    margin-top: 50px;
}

.crufts-media-login p {
    letter-spacing: unset;
}

.heading--green {
    color: var(--dark-green);
}

.heading--white {
    color: var(--white);
}

.heading {
    font-weight: bold;
    font-size: 48px;
    font-family: "Maison Neue";
    font-stretch: normal;
    font-style: normal;
    line-height: 1.17;
    letter-spacing: 1px;
}

.heading--max-width {
    max-width: 1000px;
    margin: 0 auto;
}

.header--green-bg {
    background-color: var(--dark-green);
    text-align: center;
    color: var(--white);
    padding: 70px 100px;
    margin-bottom: 40px;
}

    .header--green-bg p {
        color: var(--white);
        margin-bottom: 20px;
    }

    .header--green-bg p {
        color: var(--white);
    }

.description {
    margin: 20px 100px;
}

.fields {
    width: 400px;
    text-align: left;
    margin: 0 auto;
    padding-left: 0px;
    margin-top: 30px;
}


    .fields label {
        font-size: 16px;
        font-weight: 600;
    }

.tradestand-label {
    font-size: 17px;
}

.tradestand-bold {
    font-weight: bold;
}

.disclaimer__title {
    font-size: 17px;
}

.disclaimer__description {
    font-size: 17px;
}

@media only screen and (max-width: 600px) {
    .header--green-bg {
        padding: 70px 0;
    }
}

.fields label {
    font-size: 16px;
    font-weight: 600;
}

@media only screen and (max-width: 600px) {
    .header--green-bg {
        padding: 70px 0;
    }

    .description {
        margin: 20px 0;
    }
}

.fields label {
    font-size: 16px;
    font-weight: 600;
}

.disclaimer,
.disclaimer a {
    font-size: 14px;
}

/*BREADCRUMBS*/
.tradestand__breadcrumb {
    list-style: none;
    overflow: hidden;
    font: 18px;
}

ul.tradestand__breadcrumb {
    padding-top: 5px;
    background: var(--dark-green);
    border-bottom: 1px solid var(--white);
}

    ul.tradestand__breadcrumb li {
        padding-left: 0;
        font-weight: 400;
        display: inline-block;
    }

        ul.tradestand__breadcrumb li:before {
            display: none;
        }

.tradestand__breadcrumb li a {
    color: var(--white);
    text-decoration: none;
    padding: 4px 0 4px 65px;
    background: var(--dark-green);
    position: relative;
    display: block;
    font-weight: normal;
    font-size: 16px;
}

    .tradestand__breadcrumb li a:hover {
        color: var(--light-green);
    }

    .tradestand__breadcrumb li a::before {
        content: " ";
        display: block;
        width: 0;
        height: 0;
        border-top: 50px solid transparent;
        border-bottom: 50px solid transparent;
        border-left: 50px solid white;
        position: absolute;
        top: 50%;
        margin-top: -50px;
        margin-left: 1px;
        left: 100%;
        z-index: 1;
    }

    .tradestand__breadcrumb li a::after {
        content: " ";
        display: block;
        width: 0;
        height: 0;
        border-top: 50px solid transparent; /* Go big on the size, and let overflow hide */
        border-bottom: 50px solid transparent;
        border-left: 50px solid var(--dark-green);
        position: absolute;
        top: 50%;
        margin-top: -50px;
        left: 100%;
        z-index: 2;
    }

.tradestand__breadcrumb .logout {
    background-color: var(--light-green);
    padding: 5px 20px;
    color: var(--dark-green);
}

    .tradestand__breadcrumb .logout:hover {
        color: var(--white);
    }

@media only screen and (min-width:300px) and (max-width: 768px) {
    ul.tradestand__breadcrumb {
        display: flex;
        flex-direction: column;
    }

    .tradestand__breadcrumb li a {
        position: relative;
        padding: 4px 0 4px 15px;
    }

    .tradestand__breadcrumb .logout {
        width: fit-content;
        text-align: start;
        margin-bottom: 10px;
    }

    .tradestand__breadcrumb li:last-child a::before,
    .tradestand__breadcrumb li:last-child a::after {
        display: none;
    }

    .tradestand__breadcrumb li a::before {
        border-top: 5px solid transparent;
        border-bottom: 5px solid transparent;
        border-left: 5px solid white;
        top: 60px;
        left: 0;
    }

    .tradestand__breadcrumb li a::after {
        border-top: 5px solid transparent;
        border-bottom: 5px solid transparent;
        border-left: 5px solid var(--dark-green);
        top: 60px;
        left: 0;
        z-index: 2;
    }
}

/*CARDS STYLING*/
.cards--grid {
    display: flex;
    flex-wrap: wrap;
    padding: 0 40px 80px 40px;
}

.card {
    flex: 0 0 33.333333%;
    max-width: 33.333333%;
    background-color: #F1EDE7;
    color: var(--dark-green);
    text-align: center;
    padding: 25px;
    border: 20px solid var(--white);
}

@media only screen and (max-width: 600px) {
    .card {
        flex: 0 0 100%;
        max-width: 100%;
    }

    .cards--grid {
        padding: 0;
    }
}

.card__icon img {
    margin-left: auto;
    margin-right: auto;
    width: 45px;
    height: 45px;
}

.card__title {
    font-size: 22px;
    font-weight: 600;
    padding: 25px 0;
}

/* PORTAL TABLE */
.portal-table {
    table-layout: fixed;
    width: 85%;
    text-align: left;
    margin: 20px auto 50px auto;
}

    .portal-table th {
        background-color: var(--dark-green);
        color: var(--white);
        border: 2px solid var(--white);
        padding: 10px 20px;
    }

    .portal-table tr:nth-child(odd) {
        background-color: var(--primary-light);
    }

    .portal-table tr:nth-child(even) {
        background-color: var(--white);
    }

    .portal-table td {
        border-left: 2px solid var(--white);
    }

.portal-table__description {
    margin-bottom: 60px;
}

.portal-table p {
    margin-bottom: 1px;
}

.portal-table tr > td:nth-child(1) {
    white-space: inherit;
}

/*APPLICATION FORM*/
.application-form__title {
    font-weight: 600;
    font-size: 24px;
    text-align: center;
}

.application-form {
    width: 35%;
    margin: 0 auto;
}

@media only screen and (max-width: 600px) {
    .application-form {
        width: 100%;
    }
}

.island-size {
    padding-top: 40px;
}

.island-size .umbraco-forms-label {
    font-weight: 600;
    font-size: 20px;
}

.island-size .input-error-bottom {
    font-size: 18px;
    color: #3c3d41;
    display: block;
}

.island-size__details {
    padding-bottom: 20px;
}

.disclaimer label {
    margin-left: 35px;
    padding: 0 0 50px 0;
}

.checkbox-container {
    position: absolute;
}

.disclaimer-terms {
    display: flex;
    flex-wrap: wrap;
    padding-top: 40px;
}

.trade-stand .container-checkbox {
    font-size: 17px !important;
}


/* APPLICATION FORM - spinning wheel */
.is-loading {
    border: 4px solid var(--dark-green);
    border-top-color: rgba(0, 0, 0, 0);
    border-left-color: rgba(0, 0, 0, 0);
    width: 20px;
    height: 20px;
    opacity: .8;
    border-radius: 50%;
    animation: .7s isLoading infinite linear;
    display: none;
    position: absolute;
    margin-left: 100px;
}

.register-spin {
    display: flex !important; /*override button style*/
    margin-left: auto;
    margin-right: auto;
}

.btn-wide {
    width: 100% !important;
}

.umbraco-forms-indicator {
    color: #ff0000;
}

@keyframes isLoading {
    from {
        transform: rotate(0deg)
    }

    to {
        transform: rotate(360deg)
    }
}
/* CONTRACTS */
.contracts {
    padding: 30px 200px 80px 200px;
}

.grey-container {
    background-color: var(--grey);
    display: flex;
    align-items: center;
    padding: 30px 25px;
}

@media only screen and (max-width: 600px) {
    .grey-container,
    .contracts {
        padding: 0;
    }

    .grey-container {
        display: block;
        text-align: center;
    }
}

/* INVOICES */
.unpaid {
    display: flex;
    width: 100%;
    flex-direction: row;
    height: 50px;
    align-items: center;
    justify-content: space-between;
    padding-right: 20px;
}

.pay-now {
    cursor: pointer;
}

/* CONTRACTORS */
.contact-details {
    display: flex;
}

/*FOOTER*/
.tradestand-footer {
    display: flex;
    justify-content: space-between;
}

.tradestand-footer__text {
    margin: 0 20px;
}

    .tradestand-footer__text a {
        color: var(--light-green);
        font-weight: 400;
    }

.tradestand-footer__wrapper {
    display: flex;
    align-items: center;
}

@media only screen and (max-width: 600px) {
    .tradestand-footer__wrapper {
        display: block;
        margin-top: 10px;
    }

    .tradestand-footer__text {
        margin: 0;
    }

    .tradestand-footer {
        display: block;
    }
}

/* PAYMENT PAGES */
.payment-message {
    padding: 100px 0;
}

    .payment-message i {
        font-size: 70px;
        padding-bottom: 20px;
    }

.payment-message__success {
    color: var(--medium-green);
}

.payment-message__success--subtitle,
.payment-message__error--subtitle {
    padding: 0 300px;
}

.payment-message__error {
    color: var(--red);
}

h1.payment-message__error--title {
    color: var(--red);
}

.btn__error {
    color: var(--white);
    background-color: var(--red);
    border-color: var(--red);
}

    .btn__error:hover {
        color: var(--red);
        background-color: var(--white);
        border-color: var(--red);
    }

.inner-conatiner-full {
    width: 93%;
    margin: 20px auto 50px auto;
}
